> ## Documentation Index
> Fetch the complete documentation index at: https://checklyhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a maintenance window status update

> Updates a status update for a status-page-visible maintenance window.



## OpenAPI

````yaml put /v1/maintenance-windows/{id}/maintenances/{maintenanceId}/updates/{updateId}
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API. If you have
    any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /v1/maintenance-windows/{id}/maintenances/{maintenanceId}/updates/{updateId}:
    put:
      tags:
        - Maintenance windows
      summary: Update a maintenance window status update
      description: Updates a status update for a status-page-visible maintenance window.
      operationId: putV1MaintenancewindowsIdMaintenancesMaintenanceidUpdatesUpdateid
      parameters:
        - name: x-checkly-account
          in: header
          schema:
            type: string
            description: >-
              Your Checkly account ID, you can find it at
              https://app.checklyhq.com/settings/account/general
            x-format:
              guid: true
          description: >-
            Your Checkly account ID, you can find it at
            https://app.checklyhq.com/settings/account/general
        - name: id
          in: path
          schema:
            type: integer
            x-constraint:
              sign: positive
          required: true
        - name: maintenanceId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
        - name: updateId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MaintenanceWindowUpdateEditPublicPayload'
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Model246'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
components:
  schemas:
    MaintenanceWindowUpdateEditPublicPayload:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/Model249'
        description:
          type: string
          description: A description of the update.
          maxLength: 2000
      required:
        - description
    Model246:
      type: object
      properties:
        id:
          type: string
          x-format:
            guid: true
        maintenanceWindowId:
          type: number
        maintenanceId:
          type: string
          x-format:
            guid: true
        status:
          type: string
        description:
          type: string
        notifySubscribers:
          type: boolean
        created_at:
          type: string
          format: date
        previousStatus:
          type: string
          nullable: true
        previousStartsAt:
          type: string
          format: date
          nullable: true
        previousEndsAt:
          type: string
          format: date
          nullable: true
        dateAdjustments:
          $ref: '#/components/schemas/dateAdjustments'
      required:
        - id
        - maintenanceWindowId
        - maintenanceId
        - status
        - description
        - notifySubscribers
        - created_at
    UnauthorizedError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 401
        error:
          $ref: '#/components/schemas/error'
        message:
          type: string
          example: Bad Token
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    ForbiddenError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 403
        error:
          $ref: '#/components/schemas/Model1'
        message:
          type: string
          example: Forbidden
      required:
        - statusCode
        - error
    NotFoundError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 404
        error:
          $ref: '#/components/schemas/Model3'
        message:
          type: string
          example: Not Found
      required:
        - statusCode
        - error
    TooManyRequestsError:
      type: object
      properties:
        statusCode:
          type: number
          enum:
            - 429
        error:
          $ref: '#/components/schemas/Model2'
        message:
          type: string
          example: Too Many Requests
        attributes:
          $ref: '#/components/schemas/attributes'
      required:
        - statusCode
        - error
    Model249:
      type: string
      description: >-
        The lifecycle status of this update. Optional. When omitted, the stored
        status is preserved.
      enum:
        - SCHEDULED
        - IN_PROGRESS
        - VERIFYING
        - COMPLETED
        - CANCELLED
    dateAdjustments:
      type: object
      nullable: true
      properties:
        startsAt:
          type: string
          format: date
        endsAt:
          type: string
          format: date
    error:
      type: string
      enum:
        - Unauthorized
    attributes:
      type: object
    Model1:
      type: string
      enum:
        - Forbidden
    Model3:
      type: string
      enum:
        - Not Found
    Model2:
      type: string
      enum:
        - Too Many Requests
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````